Subject: RE: [Diffserv] Does Diffserv need an admission control?

From: "Iliff, Tina" <[email-masked]>
Date: Fri, 16 Feb 2001 14:27:39 +0000

Fred,

Your answer really is implying the interworking of IntServ and DiffServ.  I
think to answer Safeen's question, it suffices to say that Diffserv only
deals with implementing a mechanism which allows for the differentiation of
services and it can interwork with another mechanism which would deal with
admission control of the traffic which would receive different levels of
forwarding service.

Tina Iliff

-----Original Message-----
From: Fred Baker [mailto:[email-masked]]
Sent: Friday, February 16, 2001 2:04 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Diffserv] Does Diffserv need an admission control?

At 08:18 PM 2/15/2001 -0800, Safeen wrote:
>I have a simple question which is, does DS need an
>admission control?

IMHO, some applications (notably VoIP and Video on IP) do; I would expect 
that would use two or more separate instances of EF, due to the fact that 
both are essentially fixed mean rate and have different scheduling 
deadlines from a deadline scheduling perspective. Some will tell you that 
AF works for video, and they may be right, but again only if it is 
provisioned with sufficient bandwidth, and there is no way to tell that 
from the application apart from signalling. So I will argue that those 
instances of diff-serv do indeed call for signalling and admission.

Admission for TCP or whatever - if it needed admission with diffserv, it 
would surely need it without diffserv, and the fact that the Internet works 
tells us it doesn't now.

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive:
http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.h
tml

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Jon Crowcroft <[email-masked]>
Date: Fri, 16 Feb 2001 14:50:35 +0000

this is a semantic quibble debate

admissio ncontrol is normally _short_ for call admission control -
so NORMALLY, it only applies if you have an explicit signaling
protocol and has implicit the idea of being able to reject or block
the call

diffserve per se doesn't necessitate an individual call setup per
flow (thats kind ofthe point)

however, of course yo uhave to be able to provison/dimension a
network for a service level and if the offered load exceeds that,
shed the load somehow - i.e. degrade the service (possibly to zero)

typicaslly, you might expect this to be done impercptably at first
_because_ its done to large aggregates, so that instead of a call
blocking probability of > 0, you get a service level degradation
probability of >0 - i.e if the number ov VOIP calls exceeds what
you've provisioned your EF class for, you get to start dropping some
of the voice data (just like GSM nets:-) - this will presumably be
part of your SLA/SLS - but this is not part of the specific work in
this WG - it is outside the scope here.....

if your SLA so says, of course, you could drop ALL of new flows when
the net is "full" rather than some of the aggregates.....thats yor
choice (and part of the competetive edge presumambly - i gues people
might evben need to know the call origin to decide - so a VOIP
service that is bridging PSTN calls over ip, would block, where a
"pure" end2end voip service might degrade.....

anyhow, the point is that there would be some whole bunch of other
(optional) technology providing all this paraphernalia that _might"
go under the same name as call admission control, except that its
not necessarily a call, its a flow or an aggregate, and its not
necessarily an admission (of success or failure) and it entails
service level monitoring and a bucnh of other things, and real soon
now, brian is going to tell me that this discussion belongs
elsewhere and he'd be right ...:-)

In message <[email-masked]>, "

 >>would surely need it without diffserv, and the fact that the Internet works 

 cheers

   jon